Altibase.jdbc.driver.util

## Class ByteUtils

- java.lang.Object
- - Altibase.jdbc.driver.util.ByteUtils

    public final class ByteUtils
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isHexCharacter(char c)` Hex String으로 쓸 수 있는 문자인지 확인한다.
`static byte[]` `parseByteArray(java.lang.String aHexString)` hex string을 byte array로 변환한다.
`static byte[]` `parseByteArray(java.lang.String aHexString, boolean aUsePadding)` hex string을 byte array로 변환한다.
`static java.lang.String` `toHexString(byte[] aByteArray)` byte array를 hex string으로 변환한다.
`static java.lang.String` `toHexString(byte[] aByteArray, int aSpacingBase)` byte array를 hex string으로 변환한다.
`static java.lang.String` `toHexString(byte[] aByteArray, int aStartIdx, int aEndIdx)` byte array를 hex string으로 변환한다.
`static java.lang.String` `toHexString(byte[] aByteArray, int aStartIdx, int aEndIdx, int aAppendingBase, java.lang.String aAppendingString, boolean aToUpper)` byte array를 hex string으로 변환한다.
`static java.lang.String` `toHexString(byte[] aByteArray, int aAppendingBase, java.lang.String aAppendingString)` byte array를 hex string으로 변환한다.
`static java.lang.String` `toHexString(java.nio.ByteBuffer aByteArray)` ByteBuffer를 hex string으로 변환한다.
`static java.lang.String` `toHexString(java.nio.ByteBuffer aByteArray, int aStartIdx, int aEndIdx)` ByteBuffer를 hex string으로 변환한다.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isHexCharacter

    public static boolean isHexCharacter(char c)

Hex String으로 쓸 수 있는 문자인지 확인한다.

Parameters:
  `c` - 확인할 문자
Returns:
  [0-9a-fA-F]이면 true, 아니면 false

#### parseByteArray

    public static byte[] parseByteArray(java.lang.String aHexString)

hex string을 byte array로 변환한다.

만약 hex string이 짝수가 아니라면, 마지막 바이트의 하위 4bit는 0으로 채운다.

Parameters:
  `aHexString` - byte array로 변환할 hex string
Returns:
  변환된 byte array. hex string이 null이면 null, 빈 문자열이면 길이가 0인 배열.

#### parseByteArray

    public static byte[] parseByteArray(java.lang.String aHexString,
                                        boolean aUsePadding)

hex string을 byte array로 변환한다.

hex string의 길이가 2의 배수가 아닐때, 0으로 패딩할 수도 있고 예외를 낼 수도 있다. 만약 2의 배수가 아닐 때, 패딩을 사용한다면 마지막 바이트의 하위 4bit는 0으로 채우고, 패딩을 사용하지 않는다면 예외를 던진다.

Parameters:
  `aHexString` - byte array로 변환할 hex string
  `aUsePadding` - hex string이 2의 배수가 아닐 때, 0으로 패딩할지 여부.
Returns:
  변환된 byte array. hex string이 null이면 null, 빈 문자열이면 길이가 0인 배열.
Throws:
  `java.lang.IllegalArgumentException` - hex string이 올바르지 않을 경우
  `java.lang.IllegalArgumentException` - 패딩을 사용하지 않을 때, hex string이 2의 배수가 아닌 경우

#### toHexString

    public static java.lang.String toHexString(byte[] aByteArray)

byte array를 hex string으로 변환한다.

Parameters:
  `aByteArray` - hex string으로 변환할 byte array
Returns:
  변환된 hex string. byte array가 null이면 "null", 길이가 0이면 빈 문자열.

#### toHexString

    public static java.lang.String toHexString(byte[] aByteArray,
                                               int aStartIdx,
                                               int aEndIdx)

byte array를 hex string으로 변환한다.

Parameters:
  `aByteArray` - hex string으로 변환할 byte array
  `aStartIdx` - 첫 index (inclusive)
  `aEndIdx` - 끝 index (exclusive)
Returns:
  변환된 hex string. byte array가 null이면 "null", 길이가 0이면 빈 문자열.
Throws:
  `java.lang.IllegalArgumentException` - 인자가 올바르지 않을 경우

#### toHexString

    public static java.lang.String toHexString(byte[] aByteArray,
                                               int aSpacingBase)

byte array를 hex string으로 변환한다.

Parameters:
  `aByteArray` - hex string으로 변환할 byte array
  `aSpacingBase` - 공백을 삽입할 단위. 0이면 공백을 붙이지 않는다.
Returns:
  변환된 hex string. byte array가 null이면 "null", 길이가 0이면 빈 문자열.

#### toHexString

    public static java.lang.String toHexString(byte[] aByteArray,
                                               int aAppendingBase,
                                               java.lang.String aAppendingString)

byte array를 hex string으로 변환한다.

Parameters:
  `aByteArray` - hex string으로 변환할 byte array
  `aAppendingBase` - aAppendingChar를 삽입할 단위. 0이면 붙이지 않는다.
  `aAppendingString` - aAppendingBase 마다 추가할 문자열
Returns:
  변환된 hex string. byte array가 null이면 "null", 길이가 0이면 빈 문자열.

#### toHexString

    public static java.lang.String toHexString(byte[] aByteArray,
                                               int aStartIdx,
                                               int aEndIdx,
                                               int aAppendingBase,
                                               java.lang.String aAppendingString,
                                               boolean aToUpper)

byte array를 hex string으로 변환한다.

Parameters:
  `aByteArray` - hex string으로 변환할 byte array
  `aStartIdx` - 첫 index (inclusive)
  `aEndIdx` - 끝 index (exclusive)
  `aAppendingBase` - aAppendingChar를 삽입할 단위. 0이면 붙이지 않는다.
  `aAppendingString` - aAppendingBase 마다 추가할 문자열
  `aToUpper` - Upper case로 변환할것인지 여부
Returns:
  변환된 hex string. byte array가 null이면 "null", 길이가 0이면 빈 문자열.
Throws:
  `java.lang.IllegalArgumentException` - 인자가 올바르지 않을 경우

#### toHexString

    public static java.lang.String toHexString(java.nio.ByteBuffer aByteArray)

ByteBuffer를 hex string으로 변환한다.

Parameters:
  `aByteArray` - hex string으로 변환할 ByteBuffer
Returns:
  변환된 hex string. byte array가 null이면 "null", 길이가 0이면 빈 문자열.

#### toHexString

    public static java.lang.String toHexString(java.nio.ByteBuffer aByteArray,
                                               int aStartIdx,
                                               int aEndIdx)

ByteBuffer를 hex string으로 변환한다.

Parameters:
  `aByteArray` - hex string으로 변환할 ByteBuffer
  `aStartIdx` - 첫 index (inclusive)
  `aEndIdx` - 끝 index (exclusive)
Returns:
  변환된 hex string. byte array가 null이면 "null", 길이가 0이면 빈 문자열.